petsc-3.13.6 2020-09-29
Report Typos and Errors

# VecSetUp

Sets up the internal vector data structures for the later use.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetUp(Vec v)

Collective on Vec

### Input Parameters

v -the Vec context

### Notes

For basic use of the Vec classes the user need not explicitly call VecSetUp(), since these actions will happen automatically.

### See Also

VecCreate(), VecDestroy()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/is/sf/tutorials/ex2.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex56.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex31.c.html
src/ts/tutorials/ex40.c.html
src/ts/tutorials/ex41.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages